Subject: bug#16433: Test case for newline cache corruption

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 May 2014 21:27:25 +0300

> Date: Sat, 31 May 2014 13:13:16 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> In any case, I seem to have now a reproducible recipe, and can work on
> it locally.  Thanks so much for your help.

I think I might have nailed the villain.  It was a very old bug.  The
fix is in revision 117181 on the emacs-24 branch; I reproduce it below
for your convenience.  Please try running with it for a while, and if
the problems in Rmail don't come back, I will close the bug.

Thanks again for your help.

--- src/fileio.c	2014-05-11 02:30:57 +0000
+++ src/fileio.c	2014-05-31 18:23:53 +0000
@@ -4087,7 +4087,7 @@ by calling `format-decode', which see.  
 	  && SAVE_MODIFF >= MODIFF)
 	we_locked_file = 1;
 #endif /* CLASH_DETECTION */
-      prepare_to_modify_buffer (GPT, GPT, NULL);
+      prepare_to_modify_buffer (PT, PT, NULL);
     }
 
   move_gap_both (PT, PT_BYTE);